<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [ElementHandle](./puppeteer.elementhandle.md) &gt; [screenshot](./puppeteer.elementhandle.screenshot.md)

## ElementHandle.screenshot() method

This method scrolls element into view if needed, and then uses [Page.screenshot()](./puppeteer.page.screenshot.md) to take a screenshot of the element. If the element is detached from DOM, the method throws an error.

<b>Signature:</b>

```typescript
screenshot(options?: {}): Promise<string | Buffer | void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  options | {} |  |

<b>Returns:</b>

Promise&lt;string \| Buffer \| void&gt;

